Bug 1289919 - [abrt] telepathy-gabble: invalid syntax (telepathy-gabble-xmpp-console, line 316)
[abrt] telepathy-gabble: invalid syntax (telepathy-gabble-xmpp-console, line ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: telepathy-gabble (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d48362b1cc2490dd5abd762f43f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 05:54 EST by 汪明衡
Modified: 2016-12-20 11:49 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:49:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (191 bytes, text/plain)
2015-12-09 05:54 EST, 汪明衡
no flags Details
File: environ (3.45 KB, text/plain)
2015-12-09 05:54 EST, 汪明衡
no flags Details
python3_and_gtk3.patch (1.85 KB, patch)
2016-08-18 21:16 EDT, Christopher Tubbs
ctubbsii: review?
Details | Diff

  None (edit)
Description 汪明衡 2015-12-09 05:54:05 EST
Description of problem:
$ telepathy-gabble-xmpp-console

Version-Release number of selected component:
telepathy-gabble-0.18.2-5.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python3 /usr/bin/telepathy-gabble-xmpp-console
executable:     /usr/bin/telepathy-gabble-xmpp-console
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
invalid syntax (telepathy-gabble-xmpp-console, line 316)

  File "/usr/bin/telepathy-gabble-xmpp-console", line 316
    except Exception, e:
                    ^
SyntaxError: invalid syntax

Potential duplicate: bug 1259808
Comment 1 汪明衡 2015-12-09 05:54:14 EST
Created attachment 1103827 [details]
File: backtrace
Comment 2 汪明衡 2015-12-09 05:54:17 EST
Created attachment 1103828 [details]
File: environ
Comment 3 Christopher Tubbs 2016-08-18 21:16 EDT
Created attachment 1192004 [details]
python3_and_gtk3.patch

This is trivially patched by changing "Exception, e" to "Exception as e".

Once that is done, other errors pop out, all of which are caused by the use of the old python2 print statement without the now required parentheses. These are also trivial to fix.

After that, there's a few more fixes for Gtk to be happy, which are also trivial (the warning tells you what to add).

See attachment for patch.
Comment 4 Fedora End Of Life 2016-11-24 09:05:31 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 11:49:39 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.